﻿// --------------------------------
// <copyright file="BuildingColor.cs" company="COMPANY">
//     Copyright (C) COMPANY.  All rights reserved.
// </copyright>
// --------------------------------

using System.Collections;
using UnityEngine;

/// <summary>
/// BuildingColor class.
/// </summary>
[RequireComponent(typeof(Renderer))]
public class BuildingColor : MonoBehaviour
{
	public Color[] colors;

    /// <summary>
    /// Initialize script state.
    /// </summary>
    internal void Start()
    {
		this.renderer.material.color = this.colors[Random.Range(0, this.colors.Length)];// new Color(Random.Range(0.2f, 0.8f), Random.Range(0.2f, 0.8f), Random.Range(0.2f, 0.8f));

		Destroy(this);
    }
}