﻿// --------------------------------
// <copyright file="DisasterType.cs" company="COMPANY">
//     Copyright (C) COMPANY.  All rights reserved.
// </copyright>
// --------------------------------

/// <summary>
/// DisasterType enum.
/// </summary>
public enum DisasterType
{
    /// <summary>
    /// No disaster selected.
    /// </summary>
    None,

    /// <summary>
    /// Rock the earth for massive damage.
    /// </summary>
    Earthquake,

    /// <summary>
    /// A precision strike of electricity.
    /// </summary>
    Lightning,

    /// <summary>
    /// A devistating barrage of space rock.
    /// </summary>
    Meteor,

    /// <summary>
    /// Howling winds follow a given path.
    /// </summary>
    Tornado
}