﻿// --------------------------------
// <copyright file="RandomSound.cs" company="COMPANY">
//     Copyright (C) COMPANY.  All rights reserved.
// </copyright>
// --------------------------------

using System.Collections;
using UnityEngine;

/// <summary>
/// RandomSound class.
/// </summary>
public class RandomSound : MonoBehaviour
{
	public AudioClip[] clips;

    /// <summary>
    /// Initialize script state.
    /// </summary>
    internal void Start()
    {
		if (this.clips.Length > 0)
		{
			this.audio.clip = this.clips[Random.Range(0, this.clips.Length)];
			this.audio.Play();
		}
    }
}