﻿// --------------------------------
// <copyright file="PlayButton.cs" company="COMPANY">
//     Copyright (C) COMPANY.  All rights reserved.
// </copyright>
// --------------------------------

using System.Collections;
using UnityEngine;

/// <summary>
/// PlayButton class.
/// </summary>
public class PlayButton : MonoBehaviour
{
	/// <summary>
	/// Handles a click event.
	/// </summary>
	internal void OnClick()
	{
		this.GetComponent<UIButton>().isEnabled = false;

		Application.LoadLevelAsync("Main");
	}
}