﻿// --------------------------------
// <copyright file="PopulationLabel.cs" company="COMPANY">
//     Copyright (C) COMPANY.  All rights reserved.
// </copyright>
// --------------------------------

using System.Collections;
using UnityEngine;

/// <summary>
/// PopulationLabel class.
/// </summary>
[RequireComponent(typeof(UILabel))]
public class PopulationLabel : MonoBehaviour
{
	public PopulationManager populationManager;

	private UILabel label;

    /// <summary>
    /// Initialize script state.
    /// </summary>
    internal void Start()
    {
		this.label = this.GetComponent<UILabel>();
    }

    /// <summary>
    /// Update script, called once per frame.
    /// </summary>
    internal void Update()
    {
		this.label.text = string.Format("Pop. {0}", this.populationManager.survivors);
    }
}