﻿// --------------------------------
// <copyright file="PopulationManager.cs" company="COMPANY">
//     Copyright (C) COMPANY.  All rights reserved.
// </copyright>
// --------------------------------

using UnityEngine;

/// <summary>
/// PopulationManager class.
/// </summary>
public class PopulationManager : MonoBehaviour
{
	/// <summary>
	/// Beginning population.
	/// </summary>
	public int population;

    /// <summary>
    /// Number of casualties.
    /// </summary>
    public int casualties;

    /// <summary>
    /// Remaining population.
    /// </summary>
    public int survivors;

    /// <summary>
    /// Update script, called once per frame.
    /// </summary>
    internal void Update()
    {
        this.survivors = this.population - this.casualties;
    }
}